package org.greenstone.gatherer;
/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */
import java.awt.event.*;
import javax.swing.*;
import org.greenstone.gatherer.Gatherer;
import org.greenstone.gatherer.Message;
/** The GLog provides a logging class for various messages around Gatherer.
 * It includes methods to adding to the log, sorting and filtering the log,
 * reading/writing the log to disk and viewing the log (via a dialog, haha).
 * @author John Thompson, Greenstone Digital Library, University of Waikato
 * @version 1.0
 */
public class Log
    implements ActionListener {
    /** A reference to the dialog box the log will be displayed in so our inner classes have the ability to interact. */
    private JDialog dialog  = null;
    /** Constructor */
    public Log() {
    }
    /** Any implementation of ActionListener must include this method so
	  * we can be informed when an action has occured.
	  * @param event An <strong>ActionEvent</strong> which contains the details about the
	  * event which fired this call.
	  */
    public void actionPerformed(ActionEvent event) {
	if(event.getSource() == dialog) {
	    dialog.dispose();
	}
    }
    /** Add a message to the log. Note that this may be called from within
	  * several different threads so I'd better synchronize.
	  * @param message A <strong>Message</strong> which contains, surprisingly enough, the
	  * message.
	  * @see org.greenstone.gatherer.Gatherer
	  */
    public synchronized void add(Message message) {
	//Gatherer.println(message.toString());
	/* @TODO */
    }
    /** Create a modal dialog box components to allow the user to view, and
	  * filter the log.
	  */
    public void display() {
	/* @TODO */
    }
}

