<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <xsl:include href="style.xsl"/>
  <xsl:include href="home_text.xsl"/>
  <xsl:include href="page_common.xsl"/>

  <xsl:output method="html"/>  

 <xsl:template name="pageHead">
    <head>
      <title>
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'nzdl')"/>
      </title>
      <xsl:call-template name="headScript"/>
    </head>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:call-template name="nzdlPageBanner"/>     
    <center>
    <xsl:apply-templates select="collectionList"/>
    </center>
    <center><xsl:call-template name="iconblankbar"/></center>    
    <p />
    <center><h2><xsl:call-template name="textprojhead"/></h2></center>
    
    <table border='0' cellpadding='5'>
      <xsl:call-template name="project_info"/>
      <xsl:call-template name="software_info"/>
      <xsl:call-template name="research_info"/>
      <xsl:call-template name="affiliate_info"/>
    </table>
    <center>
      <xsl:call-template name="iconblankbar"/>
      <xsl:call-template name="greenstone_info"/>
      <p />
      <xsl:call-template name="nzdlpagefooter"/> 
      <br />April 2003
    </center>
  </xsl:template>

  <xsl:template name="project_info">
    <tr valign='top'>
      <td>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="mailto:greenstone@cs.waikato.ac.nz">Feedback</a></td></tr></table>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.nzdl.org/html/people.html">People</a></td></tr></table>
      </td>
      <td><xsl:call-template name="textprojinfo"/></td>
    </tr>
  </xsl:template>

  <xsl:template name="software_info">
    <tr>
      <td></td>
      <th align='left'><xsl:call-template name="titlesoftwareinfo"/></th>
    </tr>
    <tr valign='top'>
      <td>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="{$library_name}?a=p&amp;sa=gsdl">About<br />Greenstone</a></td></tr></table>
	
      </td>
      <td><xsl:call-template name="textsoftwareinfo"/></td>
    </tr>
  </xsl:template>
  
  <xsl:template name="research_info">
    <tr>
    <td></td>
    <th align='left'><xsl:call-template name="titleresearchinfo"/></th>
  </tr>
    <tr valign='top'>
      <td>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.nzdl.org/html/research.html">Research</a></td></tr></table>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.nzdl.org/html/projects.html">Projects</a></td></tr></table>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.nzdl.org/html/software.html">Software<br />Downloads</a></td></tr></table>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.cs.waikato.ac.nz/~nzdl/publications/">Publications</a></td></tr></table>
      </td>
      <td><xsl:call-template name="textresearchinfo"/></td>
    </tr>
    
    <tr valign='top'>
      <td>
	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/zdemo/library">Z39.50<br />demo</a></td></tr></table>
      </td><td>
	We have an experimental facility for searching Z39.50 collections using  Greenstone.  Ultimately we plan a full bibliographic search facility, with  the ability to combine tests on different fields, and to be able to search multiple collections, including cross-searching Greenstone and Z39.50 collections.
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="affiliate_info">
    <tr>
      <td></td>
      <th align='left'><xsl:call-template name="titleaffiliateinfo"/></th>
    </tr>
    <tr valign='top'>
      <td>
	<img src="interfaces/nzdl/images/ghproj.jpg" alt="Human Info NGO" width='100' height='90'/>
      </td>
      <td><xsl:call-template name="textaffiliateinfo"/></td>
    </tr>
  </xsl:template>
  
  
<!-- the ancestor axis contains the parent of the context node, and its parent and so on. to pick one node among these: ancestor::elem-name. I dont know how this works if there are two nodes with the same name in the axis. -->
  <xsl:template match="collection">
    <xsl:variable name="ct"><xsl:choose><xsl:when test="metadataList/metadata[@name='buildType']='mgpp'">1</xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <p />
    <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}&amp;ct={$ct}">
      <img width="150" border="1">
	<xsl:attribute name="src">
	  <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:choose><xsl:when test="metadataList/metadata[@name='colIconSmall']"><xsl:value-of select="metadataList/metadata[@name='colIconSmall']"/></xsl:when><xsl:otherwise><xsl:value-of select="metadataList/metadata[@name='colIcon']"/></xsl:otherwise></xsl:choose>
	</xsl:attribute>
	<xsl:attribute name="alt">
	  <xsl:value-of select="metadataList/metadata[@name='colName']"/>
	</xsl:attribute>
      </img>
    </a>
    <p />
  </xsl:template> 


  <xsl:template match="collectionList">
    <center>
      <p /><img src="interfaces/nzdl/images/selcolun.gif" width="537" height="17" alt="Humanitarian and UN collections"/>
      <p /><xsl:call-template name="collectfao"/>
      <p /><img src="interfaces/nzdl/images/selcolde.gif" width="537" height="17" alt="Demonstration collections"/>
      <p /><xsl:call-template name="collectrest"/>
    </center>
  </xsl:template>

  <xsl:template name="collectfao">
    <table width="537">
      <tr valign='top'>
	<td align='center'>
	  <p />hdl<xsl:apply-templates select="collection[@name='hdl']"/> 
	  <p />envl<xsl:apply-templates select="collection[@name='envl']"/> 
	  <p />aginfo<xsl:apply-templates select="collection[@name='aginfo']"/> 
	  <p />gtz<xsl:apply-templates select="collection[@name='gtz']"/> 
	  <p />who<xsl:apply-templates select="collection[@name='who']"/> 
	</td>
	<td align='center'>
	  <p /><xsl:apply-templates select="collection[@name='mhl']"/> 
	  <p />fnl<xsl:apply-templates select="collection[@name='fnl']"/> 
	  <p />paho<xsl:apply-templates select="collection[@name='paho']"/> 
	  <p />fi1998<xsl:apply-templates select="collection[@name='fi1998']"/> 
	  <p />faodocs<xsl:apply-templates select="collection[@name='faodocs']"/> 
	  <p />firstaid<xsl:apply-templates select="collection[@name='firstaid']"/>
	</td>
	<td align='center'> 
	  <p />ccgi<xsl:apply-templates select="collection[@name='ccgi']"/> 
	  <p />fnl_1<xsl:apply-templates select="collection[@name='fnl_1']"/> 
	  <p />tulane<xsl:apply-templates select="collection[@name='tulane']"/> 
	  <p />unesco<xsl:apply-templates select="collection[@name='unesco']"/> 
 	  <p />ipc<xsl:apply-templates select="collection[@name='ipc']"/> 
	  <p />povsem<xsl:apply-templates select="collection[@name='povsem']"/> 
	</td>
      </tr>
    </table>
  </xsl:template>
  

  <xsl:template name="collectrest">
    <table width='537'>
      <tr valign='top'>
	<td align='center'>
	  <p />niupepa<xsl:apply-templates select="collection[@name='niupepa']"/> 
	  <p />howto DL<xsl:apply-templates select="collection[@name='howto']"/> 
	  <p />arabic<xsl:apply-templates select="collection[@name='arabic']"/> 
	  <p /><xsl:apply-templates select="collection[@name='chinese']"/> 
 	  <p />folktale<xsl:apply-templates select="collection[@name='folktale']"/> 
	  <p />rocky<xsl:apply-templates select="collection[@name='rocky']"/> 
	  <p />tidbits<xsl:apply-templates select="collection[@name='tidbits']"/> 
	</td>
	<td align='center'>
	  <p />meldex<xsl:apply-templates select="collection[@name='meldex']"/> 
	  <p />wordpdf<xsl:apply-templates select="collection[@name='wordpdf']"/> 
	  <p />musvid<xsl:apply-templates select="collection[@name='musvid']"/> 
	  <p />gberg<xsl:apply-templates select="collection[@name='gberg']"/> 
 	  <p />allshake<xsl:apply-templates select="collection[@name='allshake']"/> 
	  <p />csbib<xsl:apply-templates select="collection[@name='csbib']"/> 
	  <p /><xsl:apply-templates select="collection[@name='coltbib']"/> 
	  <p />aircraft<xsl:apply-templates select="collection[@name='aircraft']"/> 
	</td>
	<td align='center'>
	  <p />cstr<xsl:apply-templates select="collection[@name='cstr']"/> 
	  <p />gsarch<xsl:apply-templates select="collection[@name='gsarch']"/> 
	  <p />ohist<xsl:apply-templates select="collection[@name='ohist']"/> 
	  <p />hcibib<xsl:apply-templates select="collection[@name='hcibib']"/> 
 	  <p />whist<xsl:apply-templates select="collection[@name='whist']"/> 
	  <p />acrodemo<xsl:apply-templates select="collection[@name='acrodemo']"/> 
	  <p />tcc<xsl:apply-templates select="collection[@name='tcc']"/> 
	</td>
      </tr>
    </table>
  </xsl:template>
  
</xsl:stylesheet>  




